Skip to main content

Get Protection Overview

Query protection overview data, including protection capabilities, module coverage, and interception statistics

GET
/api/v1/agentstudio/security/overview
cURL
curl --request GET \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/security/overview' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "success": false,
  "data": {
    "capabilities": [
      {
        "key": "<string>",
        "enabled": false
      }
    ],
    "protection": [
      {
        "key": "<string>",
        "enabled": false
      }
    ],
    "content_safety": {
      "hit": 0,
      "scanned": 0
    },
    "file_scan": {
      "hit": 0,
      "scanned": 0
    },
    "skill_scan": {
      "hit": 0,
      "scanned": 0
    }
  }
}

Authorizations

string
header
required

Response

200-application/json
boolean
object